> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://ref.scoutos.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ref.scoutos.com/_mcp/server.

# List all collections.

GET https://api.scoutos.com/v2/collections

Reference: https://ref.scoutos.com/api-sdk/endpoints/collections/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `start_at` (string, optional, nullable) — created_at to start at
- `limit` (integer, optional, nullable) — Limit of records to return
- `query` (string, optional) — Search query
- `tags` (string, optional) — Filter by tags
- `sort` (string, optional, nullable) — Sort
- `drive` (boolean, optional, default: false)

## Response

### 200

Successful Response

- `data` (list of Collection, optional, nullable)
- `has_more` (boolean, optional, nullable)
- `next_cursor` (string, optional, nullable)

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### Collection

- `collection_config` (CollectionConfig, required)
- `last_updated_at` (datetime, required)
- `created_at` (datetime, required)
- `created_by` (LegacyIdentity, required)
- `last_updated_by` (LegacyIdentity, required)
- `collection_id` (string, required)
- `revision_id` (string, required)

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### CollectionConfig

- `collection_display_name` (string, optional, default: Untitled)
- `collection_img_url` (string, optional, nullable)
- `collection_description` (string, optional, nullable)
- `tags` (list of string, optional)
- `table_order` (list of string, optional)

### LegacyIdentity

- `type` (enum, required)
  - Allowed values: `user`, `api_key`, `system`
- `details` (LegacyIdentityDetails, required, nullable)

### ValidationErrorLocItems

- string
- integer

### LegacyIdentityDetails

- UserIdentityDetails: UserIdentityDetails
- ApiKeyIdentityDetails: ApiKeyIdentityDetails

### UserIdentityDetails

- `user_id` (string, required)
- `org_id` (string, required)
- `scout_organization_id` (string, required)
- `email` (map from string to any, required)

### ApiKeyIdentityDetails

- `api_key` (map from string to any, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "collection_config": {
        "collection_display_name": "Spring Artifacts",
        "collection_img_url": "https://example.com/images/spring-artifacts.jpg",
        "collection_description": "A curated collection of spring-themed art pieces and artifacts.",
        "tags": [
          "spring",
          "art",
          "seasonal"
        ]
      },
      "last_updated_at": "2024-01-15T09:30:00Z",
      "created_at": "2024-01-15T09:30:00Z",
      "created_by": {
        "type": "user",
        "details": {
          "api_key": {}
        }
      },
      "last_updated_by": {
        "type": "user",
        "details": {
          "api_key": {}
        }
      },
      "collection_id": "a1b2c3d4-e5f6-7890-abcd-1234567890ef",
      "revision_id": "rev-20240115-0930"
    }
  ],
  "has_more": true,
  "next_cursor": "cursor_20240115_0930"
}
```

**SDK Code**

```python
import requests

url = "https://api.scoutos.com/v2/collections"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```typescript
import { ScoutClient } from "scoutos";

const client = new ScoutClient({ apiKey: "YOUR_API_KEY" });
await client.collections.list({
    start_at: "start_at",
    limit: 1,
    query: "query",
    tags: "tags",
    sort: "sort",
    drive: true
});

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.scoutos.com/v2/collections"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.scoutos.com/v2/collections")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.scoutos.com/v2/collections")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.scoutos.com/v2/collections', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.scoutos.com/v2/collections");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.scoutos.com/v2/collections")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```